package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.PurchasePrice;
import com.baomidou.mybatisplus.service.IService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 库内自采价格主表 服务类
 * </p>
 *
 * @author ccj
 * @since 2021-09-03
 */
public interface IPurchasePriceService extends IService<PurchasePrice> {
    /**
     * 收购管理列表
     * @param purchasePrice
     * @return
     */
    Page<PurchasePrice> purchasePriceList(PurchasePrice purchasePrice);
    /**
     * 添加收购价格
     * @param purchasePrice
     * @return
     */
    String purchasePriceAdd(@RequestBody PurchasePrice purchasePrice);
    /**
     * 收购管理查看
     * @param purchasePrice
     * @return
     */
    PurchasePrice purchasePriceLook(PurchasePrice purchasePrice);
    /**
     * 收购管理编辑
     * @param purchasePrice
     * @return
     */
    String purchasePriceEdit(PurchasePrice purchasePrice);
    /**
     * 收购管理删除
     * @param purchasePrice
     * @return
     */
    String purchasePriceDel(PurchasePrice purchasePrice);
    /**
     * 收购管理允许手动编辑
     * @param purchasePrice
     * @return
     */
    String purchasePriceAllowEdit(PurchasePrice purchasePrice);
    /**
     * 查潮粮单价
     * @param purchasePrice
     * @return
     */
    Float tidalGrainPrice(PurchasePrice purchasePrice);
    /**
     * 查干粮单价
     * @param purchasePrice
     * @return
     */
    Float dryGrainPrice(PurchasePrice purchasePrice);


}
